import { Entity, Property, ManyToOne } from '@mikro-orm/core';
import { BaseEntity } from '../_BaseEntity';
import { User } from '../user/_User';

@Entity()
export class APIKey extends BaseEntity {
    @Property()
    key!: string;

    @ManyToOne(() => User)
    user!: User;
}
